Bug 1462216 (CVE-2017-7376)

Summary: CVE-2017-7376 libxml2: Incorrect limit used for port values
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: athmanem, bmcclain, c.david86, cfergeau, csutherl, dblechte, dking, dmoppert, eedri, erik-fedora, fedora-mingw, gzaronik, jclere, ktietz, lgao, lsurette, mbabacek, mgoldboi, michal.skrivanek, mturk, myarboro, ohudlick, rbalakri, rh-spice-bugs, rjones, sardella, sherold, srevivo, twalsh, veillard, weli, ykaul, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libxml2 2.9.5 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-30 05:21:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1462226, 1462227, 1462228, 1525811    
Bug Blocks: 1462234    

Description Adam Mariš 2017-06-16 12:36:58 UTC
When calculating port value in xmlParse3986Port function, incorrect limit is used.

Android patch:

https://android.googlesource.com/platform/external/libxml2/+/51e0cb2e5ec18eaf6fb331bc573ff27b743898f4

References:

https://source.android.com/security/bulletin/2017-06-01#libraries

Comment 1 Adam Mariš 2017-06-16 12:49:03 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1462226]


Created mingw-libxml2 tracking bugs for this issue:

Affects: epel-7 [bug 1462227]
Affects: fedora-all [bug 1462228]

Comment 3 Doran Moppert 2017-08-30 05:21:35 UTC
The port filtering functionality was introduced in 2.9.4

Comment 9 Doran Moppert 2019-04-03 02:36:42 UTC
Upstream fixed this slightly differently than different commit than Android did:

https://github.com/GNOME/libxml2/commit/5dca9eea1bd4